/**
 */
package highLevelNaoApp;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see highLevelNaoApp.HighLevelNaoAppPackage
 * @generated
 */
public interface HighLevelNaoAppFactory extends EFactory {
	/**
	 * The singleton instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	HighLevelNaoAppFactory eINSTANCE = highLevelNaoApp.impl.HighLevelNaoAppFactoryImpl.init();

	/**
	 * Returns a new object of class '<em>Head Motion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Head Motion</em>'.
	 * @generated
	 */
	HeadMotion createHeadMotion();

	/**
	 * Returns a new object of class '<em>Body Motion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Body Motion</em>'.
	 * @generated
	 */
	BodyMotion createBodyMotion();

	/**
	 * Returns a new object of class '<em>Arm Motion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Arm Motion</em>'.
	 * @generated
	 */
	ArmMotion createArmMotion();

	/**
	 * Returns a new object of class '<em>Detect Human</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Detect Human</em>'.
	 * @generated
	 */
	DetectHuman createDetectHuman();

	/**
	 * Returns a new object of class '<em>Detect Sound</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Detect Sound</em>'.
	 * @generated
	 */
	DetectSound createDetectSound();

	/**
	 * Returns a new object of class '<em>Listen</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Listen</em>'.
	 * @generated
	 */
	Listen createListen();

	/**
	 * Returns a new object of class '<em>Detect Touch</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Detect Touch</em>'.
	 * @generated
	 */
	DetectTouch createDetectTouch();

	/**
	 * Returns a new object of class '<em>Talk</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Talk</em>'.
	 * @generated
	 */
	Talk createTalk();

	/**
	 * Returns a new object of class '<em>Detect Motion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Detect Motion</em>'.
	 * @generated
	 */
	DetectMotion createDetectMotion();

	/**
	 * Returns a new object of class '<em>Body Stance</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Body Stance</em>'.
	 * @generated
	 */
	BodyStance createBodyStance();

	/**
	 * Returns a new object of class '<em>Nao App</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Nao App</em>'.
	 * @generated
	 */
	NaoApp createNaoApp();

	/**
	 * Returns a new object of class '<em>HL Activity</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>HL Activity</em>'.
	 * @generated
	 */
	HLActivity createHLActivity();

	/**
	 * Returns a new object of class '<em>Transition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Transition</em>'.
	 * @generated
	 */
	Transition createTransition();

	/**
	 * Returns a new object of class '<em>Lexicon</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Lexicon</em>'.
	 * @generated
	 */
	Lexicon createLexicon();

	/**
	 * Returns a new object of class '<em>Sentence</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sentence</em>'.
	 * @generated
	 */
	Sentence createSentence();

	/**
	 * Returns a new object of class '<em>Learn Motion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Learn Motion</em>'.
	 * @generated
	 */
	LearnMotion createLearnMotion();

	/**
	 * Returns a new object of class '<em>Replay Motion</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Replay Motion</em>'.
	 * @generated
	 */
	ReplayMotion createReplayMotion();

	/**
	 * Returns a new object of class '<em>Dice</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Dice</em>'.
	 * @generated
	 */
	Dice createDice();

	/**
	 * Returns a new object of class '<em>Free Speech Recognition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Free Speech Recognition</em>'.
	 * @generated
	 */
	FreeSpeechRecognition createFreeSpeechRecognition();

	/**
	 * Returns a new object of class '<em>Report Weather</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Report Weather</em>'.
	 * @generated
	 */
	ReportWeather createReportWeather();

	/**
	 * Returns a new object of class '<em>Start</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Start</em>'.
	 * @generated
	 */
	Start createStart();

	/**
	 * Returns a new object of class '<em>Finish</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Finish</em>'.
	 * @generated
	 */
	Finish createFinish();

	/**
	 * Returns a new object of class '<em>Counter</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Counter</em>'.
	 * @generated
	 */
	Counter createCounter();

	/**
	 * Returns a new object of class '<em>Activity Group</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Activity Group</em>'.
	 * @generated
	 */
	ActivityGroup createActivityGroup();

	/**
	 * Returns a new object of class '<em>Fork</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Fork</em>'.
	 * @generated
	 */
	Fork createFork();

	/**
	 * Returns a new object of class '<em>Join</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Join</em>'.
	 * @generated
	 */
	Join createJoin();

	/**
	 * Returns a new object of class '<em>Sleep</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Sleep</em>'.
	 * @generated
	 */
	Sleep createSleep();

	/**
	 * Returns a new object of class '<em>Group Start</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Group Start</em>'.
	 * @generated
	 */
	GroupStart createGroupStart();

	/**
	 * Returns a new object of class '<em>Group Finish</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Group Finish</em>'.
	 * @generated
	 */
	GroupFinish createGroupFinish();

	/**
	 * Returns a new object of class '<em>Record Sound</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Record Sound</em>'.
	 * @generated
	 */
	RecordSound createRecordSound();

	/**
	 * Returns a new object of class '<em>Replay Sound</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Replay Sound</em>'.
	 * @generated
	 */
	ReplaySound createReplaySound();

	/**
	 * Returns a new object of class '<em>Turn Led On</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Turn Led On</em>'.
	 * @generated
	 */
	TurnLedOn createTurnLedOn();

	/**
	 * Returns a new object of class '<em>Turn Led Off</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>Turn Led Off</em>'.
	 * @generated
	 */
	TurnLedOff createTurnLedOff();

	/**
	 * Returns a new object of class '<em>On Detect Transition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>On Detect Transition</em>'.
	 * @generated
	 */
	OnDetectTransition createOnDetectTransition();

	/**
	 * Returns a new object of class '<em>On Not Detect Transition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>On Not Detect Transition</em>'.
	 * @generated
	 */
	OnNotDetectTransition createOnNotDetectTransition();

	/**
	 * Returns a new object of class '<em>On Preempt Transition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>On Preempt Transition</em>'.
	 * @generated
	 */
	OnPreemptTransition createOnPreemptTransition();

	/**
	 * Returns a new object of class '<em>On Listen Transition</em>'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return a new object of class '<em>On Listen Transition</em>'.
	 * @generated
	 */
	OnListenTransition createOnListenTransition();

	/**
	 * Returns the package supported by this factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the package supported by this factory.
	 * @generated
	 */
	HighLevelNaoAppPackage getHighLevelNaoAppPackage();

} //HighLevelNaoAppFactory
