/**
 */
package highLevelNaoApp.impl;

import highLevelNaoApp.*;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EDataType;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.impl.EFactoryImpl;

import org.eclipse.emf.ecore.plugin.EcorePlugin;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Factory</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class HighLevelNaoAppFactoryImpl extends EFactoryImpl implements HighLevelNaoAppFactory {
	/**
	 * Creates the default factory implementation.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public static HighLevelNaoAppFactory init() {
		try {
			HighLevelNaoAppFactory theHighLevelNaoAppFactory = (HighLevelNaoAppFactory)EPackage.Registry.INSTANCE.getEFactory(HighLevelNaoAppPackage.eNS_URI);
			if (theHighLevelNaoAppFactory != null) {
				return theHighLevelNaoAppFactory;
			}
		}
		catch (Exception exception) {
			EcorePlugin.INSTANCE.log(exception);
		}
		return new HighLevelNaoAppFactoryImpl();
	}

	/**
	 * Creates an instance of the factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HighLevelNaoAppFactoryImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public EObject create(EClass eClass) {
		switch (eClass.getClassifierID()) {
			case HighLevelNaoAppPackage.HEAD_MOTION: return createHeadMotion();
			case HighLevelNaoAppPackage.BODY_MOTION: return createBodyMotion();
			case HighLevelNaoAppPackage.ARM_MOTION: return createArmMotion();
			case HighLevelNaoAppPackage.DETECT_HUMAN: return createDetectHuman();
			case HighLevelNaoAppPackage.DETECT_SOUND: return createDetectSound();
			case HighLevelNaoAppPackage.LISTEN: return createListen();
			case HighLevelNaoAppPackage.DETECT_TOUCH: return createDetectTouch();
			case HighLevelNaoAppPackage.TALK: return createTalk();
			case HighLevelNaoAppPackage.DETECT_MOTION: return createDetectMotion();
			case HighLevelNaoAppPackage.BODY_STANCE: return createBodyStance();
			case HighLevelNaoAppPackage.NAO_APP: return createNaoApp();
			case HighLevelNaoAppPackage.HL_ACTIVITY: return createHLActivity();
			case HighLevelNaoAppPackage.TRANSITION: return createTransition();
			case HighLevelNaoAppPackage.LEXICON: return createLexicon();
			case HighLevelNaoAppPackage.SENTENCE: return createSentence();
			case HighLevelNaoAppPackage.LEARN_MOTION: return createLearnMotion();
			case HighLevelNaoAppPackage.REPLAY_MOTION: return createReplayMotion();
			case HighLevelNaoAppPackage.DICE: return createDice();
			case HighLevelNaoAppPackage.FREE_SPEECH_RECOGNITION: return createFreeSpeechRecognition();
			case HighLevelNaoAppPackage.REPORT_WEATHER: return createReportWeather();
			case HighLevelNaoAppPackage.START: return createStart();
			case HighLevelNaoAppPackage.FINISH: return createFinish();
			case HighLevelNaoAppPackage.COUNTER: return createCounter();
			case HighLevelNaoAppPackage.ACTIVITY_GROUP: return createActivityGroup();
			case HighLevelNaoAppPackage.FORK: return createFork();
			case HighLevelNaoAppPackage.JOIN: return createJoin();
			case HighLevelNaoAppPackage.SLEEP: return createSleep();
			case HighLevelNaoAppPackage.GROUP_START: return createGroupStart();
			case HighLevelNaoAppPackage.GROUP_FINISH: return createGroupFinish();
			case HighLevelNaoAppPackage.RECORD_SOUND: return createRecordSound();
			case HighLevelNaoAppPackage.REPLAY_SOUND: return createReplaySound();
			case HighLevelNaoAppPackage.TURN_LED_ON: return createTurnLedOn();
			case HighLevelNaoAppPackage.TURN_LED_OFF: return createTurnLedOff();
			case HighLevelNaoAppPackage.ON_DETECT_TRANSITION: return createOnDetectTransition();
			case HighLevelNaoAppPackage.ON_NOT_DETECT_TRANSITION: return createOnNotDetectTransition();
			case HighLevelNaoAppPackage.ON_PREEMPT_TRANSITION: return createOnPreemptTransition();
			case HighLevelNaoAppPackage.ON_LISTEN_TRANSITION: return createOnListenTransition();
			default:
				throw new IllegalArgumentException("The class '" + eClass.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object createFromString(EDataType eDataType, String initialValue) {
		switch (eDataType.getClassifierID()) {
			case HighLevelNaoAppPackage.HEAD_DIRECTION:
				return createHeadDirectionFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.BODY_MOTION_DIRECTION:
				return createBodyMotionDirectionFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.ARM_MOTION_TYPE:
				return createArmMotionTypeFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.LANGUAGE:
				return createLanguageFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.STANCE:
				return createStanceFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.ARM:
				return createArmFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.BODY_PART:
				return createBodyPartFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.LED_GROUP:
				return createLed_GroupFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.COLOR:
				return createColorFromString(eDataType, initialValue);
			case HighLevelNaoAppPackage.PREEMPTION_TYPE:
				return createPreemptionTypeFromString(eDataType, initialValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public String convertToString(EDataType eDataType, Object instanceValue) {
		switch (eDataType.getClassifierID()) {
			case HighLevelNaoAppPackage.HEAD_DIRECTION:
				return convertHeadDirectionToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.BODY_MOTION_DIRECTION:
				return convertBodyMotionDirectionToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.ARM_MOTION_TYPE:
				return convertArmMotionTypeToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.LANGUAGE:
				return convertLanguageToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.STANCE:
				return convertStanceToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.ARM:
				return convertArmToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.BODY_PART:
				return convertBodyPartToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.LED_GROUP:
				return convertLed_GroupToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.COLOR:
				return convertColorToString(eDataType, instanceValue);
			case HighLevelNaoAppPackage.PREEMPTION_TYPE:
				return convertPreemptionTypeToString(eDataType, instanceValue);
			default:
				throw new IllegalArgumentException("The datatype '" + eDataType.getName() + "' is not a valid classifier");
		}
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HeadMotion createHeadMotion() {
		HeadMotionImpl headMotion = new HeadMotionImpl();
		return headMotion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BodyMotion createBodyMotion() {
		BodyMotionImpl bodyMotion = new BodyMotionImpl();
		return bodyMotion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ArmMotion createArmMotion() {
		ArmMotionImpl armMotion = new ArmMotionImpl();
		return armMotion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DetectHuman createDetectHuman() {
		DetectHumanImpl detectHuman = new DetectHumanImpl();
		return detectHuman;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DetectSound createDetectSound() {
		DetectSoundImpl detectSound = new DetectSoundImpl();
		return detectSound;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Listen createListen() {
		ListenImpl listen = new ListenImpl();
		return listen;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DetectTouch createDetectTouch() {
		DetectTouchImpl detectTouch = new DetectTouchImpl();
		return detectTouch;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Talk createTalk() {
		TalkImpl talk = new TalkImpl();
		return talk;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public DetectMotion createDetectMotion() {
		DetectMotionImpl detectMotion = new DetectMotionImpl();
		return detectMotion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BodyStance createBodyStance() {
		BodyStanceImpl bodyStance = new BodyStanceImpl();
		return bodyStance;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NaoApp createNaoApp() {
		NaoAppImpl naoApp = new NaoAppImpl();
		return naoApp;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HLActivity createHLActivity() {
		HLActivityImpl hlActivity = new HLActivityImpl();
		return hlActivity;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Transition createTransition() {
		TransitionImpl transition = new TransitionImpl();
		return transition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Lexicon createLexicon() {
		LexiconImpl lexicon = new LexiconImpl();
		return lexicon;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Sentence createSentence() {
		SentenceImpl sentence = new SentenceImpl();
		return sentence;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public LearnMotion createLearnMotion() {
		LearnMotionImpl learnMotion = new LearnMotionImpl();
		return learnMotion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReplayMotion createReplayMotion() {
		ReplayMotionImpl replayMotion = new ReplayMotionImpl();
		return replayMotion;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Dice createDice() {
		DiceImpl dice = new DiceImpl();
		return dice;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public FreeSpeechRecognition createFreeSpeechRecognition() {
		FreeSpeechRecognitionImpl freeSpeechRecognition = new FreeSpeechRecognitionImpl();
		return freeSpeechRecognition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReportWeather createReportWeather() {
		ReportWeatherImpl reportWeather = new ReportWeatherImpl();
		return reportWeather;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Start createStart() {
		StartImpl start = new StartImpl();
		return start;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Finish createFinish() {
		FinishImpl finish = new FinishImpl();
		return finish;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Counter createCounter() {
		CounterImpl counter = new CounterImpl();
		return counter;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ActivityGroup createActivityGroup() {
		ActivityGroupImpl activityGroup = new ActivityGroupImpl();
		return activityGroup;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Fork createFork() {
		ForkImpl fork = new ForkImpl();
		return fork;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Join createJoin() {
		JoinImpl join = new JoinImpl();
		return join;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Sleep createSleep() {
		SleepImpl sleep = new SleepImpl();
		return sleep;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GroupStart createGroupStart() {
		GroupStartImpl groupStart = new GroupStartImpl();
		return groupStart;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public GroupFinish createGroupFinish() {
		GroupFinishImpl groupFinish = new GroupFinishImpl();
		return groupFinish;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public RecordSound createRecordSound() {
		RecordSoundImpl recordSound = new RecordSoundImpl();
		return recordSound;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ReplaySound createReplaySound() {
		ReplaySoundImpl replaySound = new ReplaySoundImpl();
		return replaySound;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TurnLedOn createTurnLedOn() {
		TurnLedOnImpl turnLedOn = new TurnLedOnImpl();
		return turnLedOn;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public TurnLedOff createTurnLedOff() {
		TurnLedOffImpl turnLedOff = new TurnLedOffImpl();
		return turnLedOff;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OnDetectTransition createOnDetectTransition() {
		OnDetectTransitionImpl onDetectTransition = new OnDetectTransitionImpl();
		return onDetectTransition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OnNotDetectTransition createOnNotDetectTransition() {
		OnNotDetectTransitionImpl onNotDetectTransition = new OnNotDetectTransitionImpl();
		return onNotDetectTransition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OnPreemptTransition createOnPreemptTransition() {
		OnPreemptTransitionImpl onPreemptTransition = new OnPreemptTransitionImpl();
		return onPreemptTransition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public OnListenTransition createOnListenTransition() {
		OnListenTransitionImpl onListenTransition = new OnListenTransitionImpl();
		return onListenTransition;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HeadDirection createHeadDirectionFromString(EDataType eDataType, String initialValue) {
		HeadDirection result = HeadDirection.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertHeadDirectionToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BodyMotionDirection createBodyMotionDirectionFromString(EDataType eDataType, String initialValue) {
		BodyMotionDirection result = BodyMotionDirection.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertBodyMotionDirectionToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ArmMotionType createArmMotionTypeFromString(EDataType eDataType, String initialValue) {
		ArmMotionType result = ArmMotionType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertArmMotionTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Language createLanguageFromString(EDataType eDataType, String initialValue) {
		Language result = Language.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertLanguageToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Stance createStanceFromString(EDataType eDataType, String initialValue) {
		Stance result = Stance.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertStanceToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Arm createArmFromString(EDataType eDataType, String initialValue) {
		Arm result = Arm.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertArmToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public BodyPart createBodyPartFromString(EDataType eDataType, String initialValue) {
		BodyPart result = BodyPart.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertBodyPartToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Led_Group createLed_GroupFromString(EDataType eDataType, String initialValue) {
		Led_Group result = Led_Group.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertLed_GroupToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Color createColorFromString(EDataType eDataType, String initialValue) {
		Color result = Color.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertColorToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PreemptionType createPreemptionTypeFromString(EDataType eDataType, String initialValue) {
		PreemptionType result = PreemptionType.get(initialValue);
		if (result == null) throw new IllegalArgumentException("The value '" + initialValue + "' is not a valid enumerator of '" + eDataType.getName() + "'");
		return result;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public String convertPreemptionTypeToString(EDataType eDataType, Object instanceValue) {
		return instanceValue == null ? null : instanceValue.toString();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HighLevelNaoAppPackage getHighLevelNaoAppPackage() {
		return (HighLevelNaoAppPackage)getEPackage();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @deprecated
	 * @generated
	 */
	@Deprecated
	public static HighLevelNaoAppPackage getPackage() {
		return HighLevelNaoAppPackage.eINSTANCE;
	}

} //HighLevelNaoAppFactoryImpl
