/**
 */
package highLevelNaoApp.util;

import highLevelNaoApp.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see highLevelNaoApp.HighLevelNaoAppPackage
 * @generated
 */
public class HighLevelNaoAppAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static HighLevelNaoAppPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HighLevelNaoAppAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = HighLevelNaoAppPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected HighLevelNaoAppSwitch<Adapter> modelSwitch =
		new HighLevelNaoAppSwitch<Adapter>() {
			@Override
			public Adapter caseHeadMotion(HeadMotion object) {
				return createHeadMotionAdapter();
			}
			@Override
			public Adapter caseBodyMotion(BodyMotion object) {
				return createBodyMotionAdapter();
			}
			@Override
			public Adapter caseArmMotion(ArmMotion object) {
				return createArmMotionAdapter();
			}
			@Override
			public Adapter caseDetectHuman(DetectHuman object) {
				return createDetectHumanAdapter();
			}
			@Override
			public Adapter caseDetectSound(DetectSound object) {
				return createDetectSoundAdapter();
			}
			@Override
			public Adapter caseListen(Listen object) {
				return createListenAdapter();
			}
			@Override
			public Adapter caseDetectTouch(DetectTouch object) {
				return createDetectTouchAdapter();
			}
			@Override
			public Adapter caseTalk(Talk object) {
				return createTalkAdapter();
			}
			@Override
			public Adapter caseDetectMotion(DetectMotion object) {
				return createDetectMotionAdapter();
			}
			@Override
			public Adapter caseBodyStance(BodyStance object) {
				return createBodyStanceAdapter();
			}
			@Override
			public Adapter caseNaoApp(NaoApp object) {
				return createNaoAppAdapter();
			}
			@Override
			public Adapter caseHLActivity(HLActivity object) {
				return createHLActivityAdapter();
			}
			@Override
			public Adapter caseTransition(Transition object) {
				return createTransitionAdapter();
			}
			@Override
			public Adapter caseLexicon(Lexicon object) {
				return createLexiconAdapter();
			}
			@Override
			public Adapter caseSentence(Sentence object) {
				return createSentenceAdapter();
			}
			@Override
			public Adapter caseLearnMotion(LearnMotion object) {
				return createLearnMotionAdapter();
			}
			@Override
			public Adapter caseReplayMotion(ReplayMotion object) {
				return createReplayMotionAdapter();
			}
			@Override
			public Adapter caseDice(Dice object) {
				return createDiceAdapter();
			}
			@Override
			public Adapter caseFreeSpeechRecognition(FreeSpeechRecognition object) {
				return createFreeSpeechRecognitionAdapter();
			}
			@Override
			public Adapter caseReportWeather(ReportWeather object) {
				return createReportWeatherAdapter();
			}
			@Override
			public Adapter caseStart(Start object) {
				return createStartAdapter();
			}
			@Override
			public Adapter caseFinish(Finish object) {
				return createFinishAdapter();
			}
			@Override
			public Adapter caseCounter(Counter object) {
				return createCounterAdapter();
			}
			@Override
			public Adapter caseActivityGroup(ActivityGroup object) {
				return createActivityGroupAdapter();
			}
			@Override
			public Adapter caseFork(Fork object) {
				return createForkAdapter();
			}
			@Override
			public Adapter caseJoin(Join object) {
				return createJoinAdapter();
			}
			@Override
			public Adapter caseSleep(Sleep object) {
				return createSleepAdapter();
			}
			@Override
			public Adapter caseGroupStart(GroupStart object) {
				return createGroupStartAdapter();
			}
			@Override
			public Adapter caseGroupFinish(GroupFinish object) {
				return createGroupFinishAdapter();
			}
			@Override
			public Adapter caseRecordSound(RecordSound object) {
				return createRecordSoundAdapter();
			}
			@Override
			public Adapter caseReplaySound(ReplaySound object) {
				return createReplaySoundAdapter();
			}
			@Override
			public Adapter caseTurnLedOn(TurnLedOn object) {
				return createTurnLedOnAdapter();
			}
			@Override
			public Adapter caseTurnLedOff(TurnLedOff object) {
				return createTurnLedOffAdapter();
			}
			@Override
			public Adapter caseOnDetectTransition(OnDetectTransition object) {
				return createOnDetectTransitionAdapter();
			}
			@Override
			public Adapter caseOnNotDetectTransition(OnNotDetectTransition object) {
				return createOnNotDetectTransitionAdapter();
			}
			@Override
			public Adapter caseOnPreemptTransition(OnPreemptTransition object) {
				return createOnPreemptTransitionAdapter();
			}
			@Override
			public Adapter caseOnListenTransition(OnListenTransition object) {
				return createOnListenTransitionAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.HeadMotion <em>Head Motion</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.HeadMotion
	 * @generated
	 */
	public Adapter createHeadMotionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.BodyMotion <em>Body Motion</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.BodyMotion
	 * @generated
	 */
	public Adapter createBodyMotionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.ArmMotion <em>Arm Motion</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.ArmMotion
	 * @generated
	 */
	public Adapter createArmMotionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.DetectHuman <em>Detect Human</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.DetectHuman
	 * @generated
	 */
	public Adapter createDetectHumanAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.DetectSound <em>Detect Sound</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.DetectSound
	 * @generated
	 */
	public Adapter createDetectSoundAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Listen <em>Listen</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Listen
	 * @generated
	 */
	public Adapter createListenAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.DetectTouch <em>Detect Touch</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.DetectTouch
	 * @generated
	 */
	public Adapter createDetectTouchAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Talk <em>Talk</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Talk
	 * @generated
	 */
	public Adapter createTalkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.DetectMotion <em>Detect Motion</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.DetectMotion
	 * @generated
	 */
	public Adapter createDetectMotionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.BodyStance <em>Body Stance</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.BodyStance
	 * @generated
	 */
	public Adapter createBodyStanceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.NaoApp <em>Nao App</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.NaoApp
	 * @generated
	 */
	public Adapter createNaoAppAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.HLActivity <em>HL Activity</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.HLActivity
	 * @generated
	 */
	public Adapter createHLActivityAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Transition <em>Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Transition
	 * @generated
	 */
	public Adapter createTransitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Lexicon <em>Lexicon</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Lexicon
	 * @generated
	 */
	public Adapter createLexiconAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Sentence <em>Sentence</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Sentence
	 * @generated
	 */
	public Adapter createSentenceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.LearnMotion <em>Learn Motion</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.LearnMotion
	 * @generated
	 */
	public Adapter createLearnMotionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.ReplayMotion <em>Replay Motion</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.ReplayMotion
	 * @generated
	 */
	public Adapter createReplayMotionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Dice <em>Dice</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Dice
	 * @generated
	 */
	public Adapter createDiceAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.FreeSpeechRecognition <em>Free Speech Recognition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.FreeSpeechRecognition
	 * @generated
	 */
	public Adapter createFreeSpeechRecognitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.ReportWeather <em>Report Weather</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.ReportWeather
	 * @generated
	 */
	public Adapter createReportWeatherAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Start <em>Start</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Start
	 * @generated
	 */
	public Adapter createStartAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Finish <em>Finish</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Finish
	 * @generated
	 */
	public Adapter createFinishAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Counter <em>Counter</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Counter
	 * @generated
	 */
	public Adapter createCounterAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.ActivityGroup <em>Activity Group</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.ActivityGroup
	 * @generated
	 */
	public Adapter createActivityGroupAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Fork <em>Fork</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Fork
	 * @generated
	 */
	public Adapter createForkAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Join <em>Join</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Join
	 * @generated
	 */
	public Adapter createJoinAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.Sleep <em>Sleep</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.Sleep
	 * @generated
	 */
	public Adapter createSleepAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.GroupStart <em>Group Start</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.GroupStart
	 * @generated
	 */
	public Adapter createGroupStartAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.GroupFinish <em>Group Finish</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.GroupFinish
	 * @generated
	 */
	public Adapter createGroupFinishAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.RecordSound <em>Record Sound</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.RecordSound
	 * @generated
	 */
	public Adapter createRecordSoundAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.ReplaySound <em>Replay Sound</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.ReplaySound
	 * @generated
	 */
	public Adapter createReplaySoundAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.TurnLedOn <em>Turn Led On</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.TurnLedOn
	 * @generated
	 */
	public Adapter createTurnLedOnAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.TurnLedOff <em>Turn Led Off</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.TurnLedOff
	 * @generated
	 */
	public Adapter createTurnLedOffAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.OnDetectTransition <em>On Detect Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.OnDetectTransition
	 * @generated
	 */
	public Adapter createOnDetectTransitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.OnNotDetectTransition <em>On Not Detect Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.OnNotDetectTransition
	 * @generated
	 */
	public Adapter createOnNotDetectTransitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.OnPreemptTransition <em>On Preempt Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.OnPreemptTransition
	 * @generated
	 */
	public Adapter createOnPreemptTransitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link highLevelNaoApp.OnListenTransition <em>On Listen Transition</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see highLevelNaoApp.OnListenTransition
	 * @generated
	 */
	public Adapter createOnListenTransitionAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //HighLevelNaoAppAdapterFactory
