/**
 */
package highLevelNaoApp.util;

import highLevelNaoApp.*;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.ecore.EPackage;

import org.eclipse.emf.ecore.util.Switch;

/**
 * <!-- begin-user-doc -->
 * The <b>Switch</b> for the model's inheritance hierarchy.
 * It supports the call {@link #doSwitch(EObject) doSwitch(object)}
 * to invoke the <code>caseXXX</code> method for each class of the model,
 * starting with the actual class of the object
 * and proceeding up the inheritance hierarchy
 * until a non-null result is returned,
 * which is the result of the switch.
 * <!-- end-user-doc -->
 * @see highLevelNaoApp.HighLevelNaoAppPackage
 * @generated
 */
public class HighLevelNaoAppSwitch<T> extends Switch<T> {
	/**
	 * The cached model package
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static HighLevelNaoAppPackage modelPackage;

	/**
	 * Creates an instance of the switch.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public HighLevelNaoAppSwitch() {
		if (modelPackage == null) {
			modelPackage = HighLevelNaoAppPackage.eINSTANCE;
		}
	}

	/**
	 * Checks whether this is a switch for the given package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param ePackage the package in question.
	 * @return whether this is a switch for the given package.
	 * @generated
	 */
	@Override
	protected boolean isSwitchFor(EPackage ePackage) {
		return ePackage == modelPackage;
	}

	/**
	 * Calls <code>caseXXX</code> for each class of the model until one returns a non null result; it yields that result.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the first non-null result returned by a <code>caseXXX</code> call.
	 * @generated
	 */
	@Override
	protected T doSwitch(int classifierID, EObject theEObject) {
		switch (classifierID) {
			case HighLevelNaoAppPackage.HEAD_MOTION: {
				HeadMotion headMotion = (HeadMotion)theEObject;
				T result = caseHeadMotion(headMotion);
				if (result == null) result = caseHLActivity(headMotion);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.BODY_MOTION: {
				BodyMotion bodyMotion = (BodyMotion)theEObject;
				T result = caseBodyMotion(bodyMotion);
				if (result == null) result = caseHLActivity(bodyMotion);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.ARM_MOTION: {
				ArmMotion armMotion = (ArmMotion)theEObject;
				T result = caseArmMotion(armMotion);
				if (result == null) result = caseHLActivity(armMotion);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.DETECT_HUMAN: {
				DetectHuman detectHuman = (DetectHuman)theEObject;
				T result = caseDetectHuman(detectHuman);
				if (result == null) result = caseHLActivity(detectHuman);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.DETECT_SOUND: {
				DetectSound detectSound = (DetectSound)theEObject;
				T result = caseDetectSound(detectSound);
				if (result == null) result = caseHLActivity(detectSound);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.LISTEN: {
				Listen listen = (Listen)theEObject;
				T result = caseListen(listen);
				if (result == null) result = caseHLActivity(listen);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.DETECT_TOUCH: {
				DetectTouch detectTouch = (DetectTouch)theEObject;
				T result = caseDetectTouch(detectTouch);
				if (result == null) result = caseHLActivity(detectTouch);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.TALK: {
				Talk talk = (Talk)theEObject;
				T result = caseTalk(talk);
				if (result == null) result = caseHLActivity(talk);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.DETECT_MOTION: {
				DetectMotion detectMotion = (DetectMotion)theEObject;
				T result = caseDetectMotion(detectMotion);
				if (result == null) result = caseHLActivity(detectMotion);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.BODY_STANCE: {
				BodyStance bodyStance = (BodyStance)theEObject;
				T result = caseBodyStance(bodyStance);
				if (result == null) result = caseHLActivity(bodyStance);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.NAO_APP: {
				NaoApp naoApp = (NaoApp)theEObject;
				T result = caseNaoApp(naoApp);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.HL_ACTIVITY: {
				HLActivity hlActivity = (HLActivity)theEObject;
				T result = caseHLActivity(hlActivity);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.TRANSITION: {
				Transition transition = (Transition)theEObject;
				T result = caseTransition(transition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.LEXICON: {
				Lexicon lexicon = (Lexicon)theEObject;
				T result = caseLexicon(lexicon);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.SENTENCE: {
				Sentence sentence = (Sentence)theEObject;
				T result = caseSentence(sentence);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.LEARN_MOTION: {
				LearnMotion learnMotion = (LearnMotion)theEObject;
				T result = caseLearnMotion(learnMotion);
				if (result == null) result = caseHLActivity(learnMotion);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.REPLAY_MOTION: {
				ReplayMotion replayMotion = (ReplayMotion)theEObject;
				T result = caseReplayMotion(replayMotion);
				if (result == null) result = caseHLActivity(replayMotion);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.DICE: {
				Dice dice = (Dice)theEObject;
				T result = caseDice(dice);
				if (result == null) result = caseHLActivity(dice);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.FREE_SPEECH_RECOGNITION: {
				FreeSpeechRecognition freeSpeechRecognition = (FreeSpeechRecognition)theEObject;
				T result = caseFreeSpeechRecognition(freeSpeechRecognition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.REPORT_WEATHER: {
				ReportWeather reportWeather = (ReportWeather)theEObject;
				T result = caseReportWeather(reportWeather);
				if (result == null) result = caseHLActivity(reportWeather);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.START: {
				Start start = (Start)theEObject;
				T result = caseStart(start);
				if (result == null) result = caseHLActivity(start);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.FINISH: {
				Finish finish = (Finish)theEObject;
				T result = caseFinish(finish);
				if (result == null) result = caseHLActivity(finish);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.COUNTER: {
				Counter counter = (Counter)theEObject;
				T result = caseCounter(counter);
				if (result == null) result = caseHLActivity(counter);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.ACTIVITY_GROUP: {
				ActivityGroup activityGroup = (ActivityGroup)theEObject;
				T result = caseActivityGroup(activityGroup);
				if (result == null) result = caseHLActivity(activityGroup);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.FORK: {
				Fork fork = (Fork)theEObject;
				T result = caseFork(fork);
				if (result == null) result = caseHLActivity(fork);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.JOIN: {
				Join join = (Join)theEObject;
				T result = caseJoin(join);
				if (result == null) result = caseHLActivity(join);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.SLEEP: {
				Sleep sleep = (Sleep)theEObject;
				T result = caseSleep(sleep);
				if (result == null) result = caseHLActivity(sleep);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.GROUP_START: {
				GroupStart groupStart = (GroupStart)theEObject;
				T result = caseGroupStart(groupStart);
				if (result == null) result = caseHLActivity(groupStart);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.GROUP_FINISH: {
				GroupFinish groupFinish = (GroupFinish)theEObject;
				T result = caseGroupFinish(groupFinish);
				if (result == null) result = caseHLActivity(groupFinish);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.RECORD_SOUND: {
				RecordSound recordSound = (RecordSound)theEObject;
				T result = caseRecordSound(recordSound);
				if (result == null) result = caseHLActivity(recordSound);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.REPLAY_SOUND: {
				ReplaySound replaySound = (ReplaySound)theEObject;
				T result = caseReplaySound(replaySound);
				if (result == null) result = caseHLActivity(replaySound);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.TURN_LED_ON: {
				TurnLedOn turnLedOn = (TurnLedOn)theEObject;
				T result = caseTurnLedOn(turnLedOn);
				if (result == null) result = caseHLActivity(turnLedOn);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.TURN_LED_OFF: {
				TurnLedOff turnLedOff = (TurnLedOff)theEObject;
				T result = caseTurnLedOff(turnLedOff);
				if (result == null) result = caseHLActivity(turnLedOff);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.ON_DETECT_TRANSITION: {
				OnDetectTransition onDetectTransition = (OnDetectTransition)theEObject;
				T result = caseOnDetectTransition(onDetectTransition);
				if (result == null) result = caseTransition(onDetectTransition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.ON_NOT_DETECT_TRANSITION: {
				OnNotDetectTransition onNotDetectTransition = (OnNotDetectTransition)theEObject;
				T result = caseOnNotDetectTransition(onNotDetectTransition);
				if (result == null) result = caseTransition(onNotDetectTransition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.ON_PREEMPT_TRANSITION: {
				OnPreemptTransition onPreemptTransition = (OnPreemptTransition)theEObject;
				T result = caseOnPreemptTransition(onPreemptTransition);
				if (result == null) result = caseTransition(onPreemptTransition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			case HighLevelNaoAppPackage.ON_LISTEN_TRANSITION: {
				OnListenTransition onListenTransition = (OnListenTransition)theEObject;
				T result = caseOnListenTransition(onListenTransition);
				if (result == null) result = caseTransition(onListenTransition);
				if (result == null) result = defaultCase(theEObject);
				return result;
			}
			default: return defaultCase(theEObject);
		}
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Head Motion</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Head Motion</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseHeadMotion(HeadMotion object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Body Motion</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Body Motion</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBodyMotion(BodyMotion object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Arm Motion</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Arm Motion</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseArmMotion(ArmMotion object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Detect Human</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Detect Human</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDetectHuman(DetectHuman object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Detect Sound</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Detect Sound</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDetectSound(DetectSound object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Listen</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Listen</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseListen(Listen object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Detect Touch</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Detect Touch</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDetectTouch(DetectTouch object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Talk</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Talk</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTalk(Talk object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Detect Motion</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Detect Motion</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDetectMotion(DetectMotion object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Body Stance</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Body Stance</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseBodyStance(BodyStance object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Nao App</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Nao App</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseNaoApp(NaoApp object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>HL Activity</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>HL Activity</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseHLActivity(HLActivity object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Transition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Transition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTransition(Transition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Lexicon</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Lexicon</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLexicon(Lexicon object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sentence</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sentence</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSentence(Sentence object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Learn Motion</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Learn Motion</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseLearnMotion(LearnMotion object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Replay Motion</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Replay Motion</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReplayMotion(ReplayMotion object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Dice</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Dice</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseDice(Dice object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Free Speech Recognition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Free Speech Recognition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFreeSpeechRecognition(FreeSpeechRecognition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Report Weather</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Report Weather</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReportWeather(ReportWeather object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Start</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Start</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseStart(Start object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Finish</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Finish</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFinish(Finish object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Counter</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Counter</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseCounter(Counter object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Activity Group</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Activity Group</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseActivityGroup(ActivityGroup object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Fork</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Fork</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseFork(Fork object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Join</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Join</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseJoin(Join object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Sleep</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Sleep</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseSleep(Sleep object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Group Start</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Group Start</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGroupStart(GroupStart object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Group Finish</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Group Finish</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseGroupFinish(GroupFinish object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Record Sound</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Record Sound</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseRecordSound(RecordSound object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Replay Sound</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Replay Sound</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseReplaySound(ReplaySound object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Turn Led On</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Turn Led On</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTurnLedOn(TurnLedOn object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>Turn Led Off</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>Turn Led Off</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseTurnLedOff(TurnLedOff object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>On Detect Transition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>On Detect Transition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOnDetectTransition(OnDetectTransition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>On Not Detect Transition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>On Not Detect Transition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOnNotDetectTransition(OnNotDetectTransition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>On Preempt Transition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>On Preempt Transition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOnPreemptTransition(OnPreemptTransition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>On Listen Transition</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>On Listen Transition</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject) doSwitch(EObject)
	 * @generated
	 */
	public T caseOnListenTransition(OnListenTransition object) {
		return null;
	}

	/**
	 * Returns the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * <!-- begin-user-doc -->
	 * This implementation returns null;
	 * returning a non-null result will terminate the switch, but this is the last case anyway.
	 * <!-- end-user-doc -->
	 * @param object the target of the switch.
	 * @return the result of interpreting the object as an instance of '<em>EObject</em>'.
	 * @see #doSwitch(org.eclipse.emf.ecore.EObject)
	 * @generated
	 */
	@Override
	public T defaultCase(EObject object) {
		return null;
	}

} //HighLevelNaoAppSwitch
