package NaoBehaviorDSL.project.design;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;

import highLevelNaoApp.ActivityGroup;
import highLevelNaoApp.Fork;
import highLevelNaoApp.GroupFinish;
import highLevelNaoApp.GroupStart;
import highLevelNaoApp.HLActivity;
import highLevelNaoApp.Join;

/**
 * The services class used by VSM.
 */
public class Services {
    
 
    public List<HLActivity> getGroupActivities(ActivityGroup activityGroup) {

      return getAllGroupActivities(activityGroup);
    }
    
    private List<HLActivity> getAllGroupActivities(ActivityGroup activityGroup){
    	  
    	List<HLActivity> groupActivities = new ArrayList<HLActivity>();
    	Iterator<HLActivity> iteratorOfGroupActivities = activityGroup.getHasActivity().iterator();
    	
    	while(iteratorOfGroupActivities.hasNext()) {
    		HLActivity currentActivity = iteratorOfGroupActivities.next();
    		
    		if(currentActivity instanceof ActivityGroup) {
    			groupActivities.addAll(getAllGroupActivities((ActivityGroup) currentActivity));
    		}
    		else if((currentActivity instanceof GroupStart) == false &&
    				(currentActivity instanceof GroupFinish) == false &&
    				(currentActivity instanceof Fork) == false &&
    				(currentActivity instanceof Join) == false){
    			groupActivities.add(currentActivity);
    		}
    	}
    	return groupActivities;
    }
}
